package org.eclipse.jdt.internal.compiler.lookup;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import org.eclipse.jdt.internal.compiler.ast.ASTNode;
import org.eclipse.jdt.internal.compiler.ast.ExpressionContext;
import org.eclipse.jdt.internal.compiler.lookup.InferenceContext18;
import org.eclipse.jdt.internal.compiler.lookup.InvocationSite;
import org.eclipse.jdt.internal.compiler.lookup.MethodBinding;
import org.eclipse.jdt.internal.compiler.lookup.ReferenceBinding;
import org.eclipse.jdt.internal.compiler.lookup.Scope;
import org.eclipse.jdt.internal.compiler.lookup.TypeBinding;

public class EmptyWithAstNode implements InvocationSite {
  ASTNode node;
  
  public EmptyWithAstNode(ASTNode node) {
    this.node = node;
  }
  
  public TypeBinding[] genericTypeArguments() {
    return null;
  }
  
  public boolean isSuperAccess() {
    return false;
  }
  
  public boolean isTypeAccess() {
    return false;
  }
  
  public void setActualReceiverType(ReferenceBinding receiverType) {}
  
  public void setDepth(int depth) {}
  
  public void setFieldIndex(int depth) {}
  
  public int sourceEnd() {
    return this.node.sourceEnd;
  }
  
  public int sourceStart() {
    return this.node.sourceStart;
  }
  
  public TypeBinding invocationTargetType() {
    return null;
  }
  
  public boolean receiverIsImplicitThis() {
    return false;
  }
  
  public InferenceContext18 freshInferenceContext(Scope scope) {
    return null;
  }
  
  public ExpressionContext getExpressionContext() {
    return ExpressionContext.VANILLA_CONTEXT;
  }
  
  public boolean isQualifiedSuper() {
    return false;
  }
  
  public boolean checkingPotentialCompatibility() {
    return false;
  }
  
  public void acceptPotentiallyCompatibleMethods(MethodBinding[] methods) {}
}
